﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Tsi1.DataLayer.Entities
{
    public class Activity
    {
        public Activity()
        {
            Attendances = new HashSet<Attendance>();
            Grades = new HashSet<Grade>();
        }

        public int Id { get; set; }

        public string Name { get; set; }

        public bool IsVideoConference { get; set; }

        public int? EvaluationId { get; set; }

        public int CourseId { get; set; }

        public Course Course { get; set; }

        public Evaluation Evaluation { get; set; }

        public ICollection<Attendance> Attendances { get; set; }

        public ICollection<Grade> Grades { get; set; }
    }
}
