﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Tsi1.DataLayer.Entities
{
    public class Evaluation
    {
        public Evaluation()
        {
            EvaluationInscriptions = new HashSet<EvaluationInscription>();
            Submissions = new HashSet<Submission>();
        }
        public int Id { get; set; }

        public int EvaluationTypeId { get; set; }

        public bool IsCompleted { get; set; }

        public EvaluationType EvaluationType { get; set; }

        public ICollection<EvaluationInscription> EvaluationInscriptions { get; set; }

        public ICollection<Submission> Submissions { get; set; }

        
    }
}
